Bug 1012980 - javapackages-tools: handle cases where artifact is build and not installed for provides/requires
javapackages-tools: handle cases where artifact is build and not installed fo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: javapackages-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On: 1012938
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 09:40 EDT by Stanislav Ochotnicky
Modified: 2013-10-03 05:09 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.3.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 12:02:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-09-27 09:40:07 EDT
Description of problem:
it's possible that XMvn will build artifact, create an autoRequires on it but that artifact is not being installed. That can cause broken packages so it should be handled in spec file by adding %mvn_package macros for given artifacts. 

If %mvn_package is not used correctly maven.prov/req should bail and not build such package
Comment 1 Mikolaj Izdebski 2013-10-02 12:02:11 EDT
Fixed in javapackages-tools-3.3.1-1
Comment 2 Mikolaj Izdebski 2013-10-02 12:02:58 EDT
I believe that this bug is fixed in javapackages-tools-3.3.1-1,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=469008
Comment 3 Mikolaj Izdebski 2013-10-02 12:06:42 EDT
Verified by rebulding narayana package.
Test case is still missing.
Comment 4 Michael Simacek 2013-10-03 05:09:12 EDT
Test case added upstream in commit 5c25b86

Note You need to log in before you can comment on or make changes to this bug.